@import url("https://fonts.googleapis.com/css2?family=Quicksand:wght@300..700&display=swap");

/* shared styles */

.quicksand-font {
  font-family: "Quicksand", serif;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
}

.font-weight-700 {
  font-weight: 700;
}
.font-weight-500 {
  font-weight: 500;
}
.font-weight-400 {
  font-weight: 400;
}

.display-flex {
  display: flex;
}

.btn {
  color: white;
  padding: 16px 62px;
  font-size: 1.25rem;
  font-weight: 600;
  border-radius: 8px;
  border: none;
}
.text-primary {
  color: #fea301;
}
/* text-sky-blue */

.text-sky-blue {
  color: #01acfd;
}

/* text-turquoise */

.text-turquoise {
  color: #05d4df;
}
/* text-purple */

.text-purple {
  color: #5d58ef;
}

/* navbar styles */

.navbar {
  max-width: 1160px;
  margin: 40px auto;
}

.navbar {
  justify-content: space-between;
  align-items: center;
}

.brand {
  gap: 20px;
  justify-content: center;
}
/* .brand-logo {

} */
.brand-title {
  justify-content: center;
  align-items: center;
  font-size: 2rem;
}

.nav-item {
  list-style: none;
  margin-right: 30px;
}

.nav-link {
  text-decoration: none;
  font-size: 1.25rem;
  font-weight: 700;
}
.nav-btn {
  background-color: #fea301;
}

.toggle-btn {
  color: Black;
  font-size: 1.5rem;
  cursor: pointer;
  display: none;
}

/* dropdown menu */

/* .dropdown-menu {
  display: none;
  position: absolute;
  right: 2rem;
  top: 60x;
  height: 0;
  width: 300px;
  background: lightgray;
  backdrop-filter: blur(15px);
  overflow: hidden;
  transition: height 0.2s cubic-bezier(0.175, 0.885, 0.32, 1.275);
}

.dropdown-menu .open {
  height: 240px;
}

.dropdown-menu li {
  pad: 0.7rem;
  display: flex;
  align-items: center;
  justify-content: center;
}

.dropdown-menu .nav-btn {
  width: 100%;
  display: flex;
  justify-content: center;
} */
.header-line {
  color: #fea301;
  display: none;
}

/* banner styles */

.banner {
  max-width: 1160px;
  margin: 1px auto;
  justify-content: center;
  align-items: center;
  gap: 50px;
}
.banner-content {
  max-width: 640px;
  margin: 120px 0;
}
.banner-title {
  font-size: 3.5rem;
  font-weight: 700;
}
.banner-desc {
  font-size: 1.25rem;
  font-weight: 400;
  margin-top: 24px;
}

.banner-btn {
  background-color: black;
  margin-top: 24px;
}
.banner-img {
  width: 100%;
}

/* curriculum cards styles */

.curriculum-section {
  background-image: url(../assets/bg.png);
  margin-top: 60px;
}

.curriculum-title {
  font-size: 2.15rem;
  font-weight: 700;
  text-align: center;
  margin-bottom: 80px;
}
.cards {
  max-width: 1160px;
  margin: 1px auto;
  gap: 29px;
}
.card-1 {
  box-sizing: border-box;
  border: 0.94px solid rgb(222, 245, 255);
  border-radius: 18.86px;

  box-shadow: inset 0px 0px 28.3px 0.94px rgba(0, 0, 0, 0.05);
  background: linear-gradient(
      180deg,
      rgb(222, 245, 255),
      rgba(255, 255, 255, 0) 40%
    ),
    rgb(255, 255, 255);
  width: 368px;
  height: 530px;
}
.card-2 {
  box-sizing: border-box;
  border: 0.94px solid rgb(255, 244, 220);
  border-radius: 18.86px;

  box-shadow: inset 0px 0px 28.3px 0.94px rgba(0, 0, 0, 0.05);
  background: linear-gradient(
      180deg,
      rgb(255, 244, 220),
      rgba(255, 255, 255, 0) 40%
    ),
    rgb(255, 255, 255);
  width: 368px;
  height: 530px;
}
.card-3 {
  box-sizing: border-box;
  border: 0.94px solid rgb(242, 232, 255);
  border-radius: 18.86px;

  box-shadow: inset 0px 0px 28.3px 0.94px rgba(0, 0, 0, 0.05);
  background: linear-gradient(
      180deg,
      rgb(238, 225, 255),
      rgba(255, 255, 255, 0) 40%
    ),
    rgb(255, 255, 255);
  width: 368px;
  height: 530px;
}

.card-content {
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 50px 40px;
}
.card-title {
  font-size: 24.52px;
  font-weight: 700;
  line-height: 30.65px;
  letter-spacing: 0%;
  text-align: center;
  margin-top: 32px;
}
.card-desc {
  color: rgb(128, 128, 128);
  font-family: Raleway;
  font-size: 15.09px;
  font-weight: 500;
  line-height: 28.3px;
  letter-spacing: 0%;
  text-align: center;
  margin-top: 33px;
}
.card-content a {
  text-decoration: none;

  padding: 40px 0 60px;
}

/* slide button */

.slide-icon {
  max-width: 1460px;
  margin: 80px auto 60px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.slide-icon i {
  font-size: 60px;
  color: orange;
  border-radius: 50%;
  padding: 10px;
}

/* our stories  styles */

.stories-section {
  background-image: url(../assets/bg.png),
    linear-gradient(0deg, rgba(254, 163, 1, 0.3), rgba(255, 255, 255, 0.3) 100%);
}
.stories-title {
  margin: 60px auto 80px;
  text-align: center;
  font-size: 46px;
  font-weight: 700;
}

.story-cards {
  max-width: 1160px;
  margin: auto;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 20px;
}

.story-card {
  position: relative;
  width: 290.69px;
  height: 301.61px;
  border-radius: 16px;

  background: rgb(255, 255, 255);
}

#story-card-1 {
  grid-row: span 2;
  position: relative;
  width: 540.27px;
  height: 630.52px;
  border-radius: 16px;

  background: rgb(255, 255, 255);
}

.story-card-btn-1 {
  position: absolute;
  width: 174.51px;
  height: 47.93px;
  left: 38.35px;
  top: 314.14px;
  border-radius: 47.93px;
  border: none;
  background: rgb(60, 216, 232);
  color: rgb(255, 255, 255);
  font-family: Raleway;
  font-size: 15.34px;
  font-weight: 500;
}
.story-card-title-1 {
  color: rgb(0, 0, 0);
  font-size: 24px;
  font-weight: 700;
  text-align: left;
  margin: 60px 100px 50px 40px;
}
.story-card-desc {
  color: rgb(102, 102, 102);
  font-family: Raleway;
  font-size: 15.34px;
  font-weight: 500;
  margin: 60px 100px 50px 40px;
}

.story-card {
  position: relative;
  width: 290.69px;
  height: 301.61px;
  border-radius: 16px;
  background: rgb(255, 255, 255);
}
.story-card-btn {
  position: absolute;
  width: 174.51px;
  height: 38.35px;
  left: 38.35px;
  top: 157.81px;
  border-radius: 47.93px;
  border: none;
  background: rgb(149, 178, 38);
  color: white;
  font-family: Raleway;
  font-size: 15.34px;
  font-weight: 500;
}

#story-card-btn-3 {
  background-color: #5d58ef;
}

.story-card-title {
  margin: 24px 54px 33px 37px;
  font-size: 15.34px;
  font-weight: 700;
}
.view-all-btn-container {
  display: flex;
  justify-content: center;
  align-items: center;
}
.view-all-btn {
  background-color: black;
  margin: 80px auto;
}

/* footer styles */

.footer {
  padding: 20px 0;
  background-color: #7cbeda;
}
.footer-container {
  max-width: 1160px;
  width: 100%;
  height: 512px;
  margin: auto;
  justify-content: space-between;
}
.footer-brand {
  justify-content: center;
  align-items: center;
  margin: 150px auto;
  gap: 10px;
  color: white;
}
.footer-content {
  gap: 10px;
}
.footer-brand-desc {
  margin-right: 90px;
}
.about-school {
  margin: 150px 150px;
  gap: 10px;
  color: white;
}
.keep-in-touch {
  color: white;
  margin: 150px auto;
  gap: 10px;
}
li {
  /* text-decoration: none; */
  list-style: none;
  text-align: left;
}

/* responsive media query layout */

@media screen and (max-width: 576px) {
  body {
    margin: 20px 40px;
  }
  .brand-title,
  .nav-link,
  .nav-btn,
  .slide-icon,
  .story-card-1 {
    display: none;
  }
  .navbar .toggle-btn {
    display: block;
  }

  .header-line {
    display: block;
  }
  .banner {
    flex-direction: column-reverse;
    justify-content: center;
    align-items: center;
  }
  .banner-img {
    display: flex;
    justify-content: center;
  }
  .cards {
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }
  .story-cards {
    grid-template-columns: repeat(1, 1fr);
    margin: 30px 30px;
  }
  .footer {
    flex-direction: column;
    gap: 20px;
    overflow: inherit;
    justify-content: center;
    align-items: center;
  }
  .footer-brand,
  .about-school,
  .keep-in-touch {
    text-align: center;
    margin-bottom: 20px;
  }
}

/* medium  sizes devices */

@media screen and (min-width: 576px) and (max-width: 992px) {
  body {
    margin: 20px 40px;
  }
  .brand-title,
  .nav-link,
  .nav-btn,
  .story-card-1 {
    display: none;
  }
  .navbar .toggle-btn {
    display: block;
  }

  .header-line {
    display: block;
  }
  .banner {
    justify-content: center;
    flex-direction: column-reverse;
  }
  .banner-img {
    display: flex;
    justify-content: center;
  }
  .cards,
  .story-cards {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    justify-content: center;
    align-items: center;
  }
}
